JBoss API: Class AbstractJMSProviderAdapter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.jndi
Class AbstractJMSProviderAdapter

    java.lang.Object
      |
      +--org.jboss.jms.jndi.AbstractJMSProviderAdapter

All Implemented Interfaces:
  JMSProviderAdapter, java.io.Serializable

Direct Known Subclasses:
  JBossMQProvider

public abstract class AbstractJMSProviderAdapter
extends java.lang.Object
implements JMSProviderAdapter, java.io.Serializable

An abstract implementaion of `JMSProviderAdapter`. Sub-classes must provide connection names via instance initialzation and provide an implementaion of `JMSProviderAdapter.getInitialContext()`. 6/22/01 - hchirino - The queue/topic jndi references are now configed via JMX

Version:

      $Revision: 1.2.4.1 $

Author:
  Jason Dillon, Hiram Chirino
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `name` The name of the provider.
`protected java.lang.String` | `providerURL` The provider url.
`protected java.lang.String` | `queueFactoryRef` The queue factory name to use.
`protected java.lang.String` | `topicFactoryRef` The topic factory name to use.

Constructor Summary
`AbstractJMSProviderAdapter()`

Method Summary
`java.lang.String` | `getName()` Get the name of the provider.
`java.lang.String` | `getProviderUrl()` Get the URL that is currently being used to connect to the JNDI provider.
`java.lang.String` | `getQueueFactoryRef()` ???
`java.lang.String` | `getTopicFactoryRef()` ???
`void` | `setName(java.lang.String name)` Set the name of the provider.
`void` | `setProviderUrl(java.lang.String url)` Set the URL that will be used to connect to the JNDI provider.
`void` | `setQueueFactoryRef(java.lang.String newQueueFactoryRef)` ???
`void` | `setTopicFactoryRef(java.lang.String newTopicFactoryRef)` ???

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.jms.jndi.JMSProviderAdapter
`getInitialContext`

Field Detail

### name

    protected java.lang.String name

  The name of the provider.

### providerURL

    protected java.lang.String providerURL

  The provider url.

### queueFactoryRef

    protected java.lang.String queueFactoryRef

  The queue factory name to use.

### topicFactoryRef

    protected java.lang.String topicFactoryRef

  The topic factory name to use.

Constructor Detail

### AbstractJMSProviderAdapter

    public AbstractJMSProviderAdapter()

Method Detail

### setName

    public void setName(java.lang.String name)

  Set the name of the provider.
  Specified by:
    `setName` in interface `JMSProviderAdapter`
  Parameters:
    `name` - The provider name.

### getName

    public final java.lang.String getName()

  Get the name of the provider.
  Specified by:
    `getName` in interface `JMSProviderAdapter`
  Returns:
    The provider name.

### setProviderUrl

    public void setProviderUrl(java.lang.String url)

  Set the URL that will be used to connect to the JNDI provider.
  Specified by:
    `setProviderUrl` in interface `JMSProviderAdapter`
  Parameters:
    `url` - The URL that will be used to connect.

### getProviderUrl

    public final java.lang.String getProviderUrl()

  Get the URL that is currently being used to connect to the JNDI provider.
  Specified by:
    `getProviderUrl` in interface `JMSProviderAdapter`
  Returns:
    The URL that is currently being used.

### getQueueFactoryRef

    public java.lang.String getQueueFactoryRef()

  ???
  Specified by:
    `getQueueFactoryRef` in interface `JMSProviderAdapter`
  Returns:
    ???

### getTopicFactoryRef

    public java.lang.String getTopicFactoryRef()

  ???
  Specified by:
    `getTopicFactoryRef` in interface `JMSProviderAdapter`
  Returns:
    ???

### setQueueFactoryRef

    public void setQueueFactoryRef(java.lang.String newQueueFactoryRef)

  ???
  Specified by:
    `setQueueFactoryRef` in interface `JMSProviderAdapter`
  Returns:
    ???

### setTopicFactoryRef

    public void setTopicFactoryRef(java.lang.String newTopicFactoryRef)

  ???
  Specified by:
    `setTopicFactoryRef` in interface `JMSProviderAdapter`
  Returns:
    ???

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.